# Verify SMS Challenge To clear a SMS challenge listed in a OTT. Notes: 1. User is required to have a verified phone number. See create phone number for more information. 2. Trigger SMS Challenge is required to be called first. 3. Since we won't be sending real SMS on sandbox, the OTP Code will always be 111111. {% admonition type="warning" %} The Verify SMS Challenge API is currently in closed Beta and subject to change. Please speak with your implementation manager if you would like to use this API. {% /admonition %} Endpoint: POST /v1/one-time-token/sms/verify Security: UserToken ## Header parameters: - `One-Time-Token` (string, required) Text value of a OTT. ## Request fields (application/json): - `otpCode` (string) 6 digit OTP code in text format. Example: "111111" ## Response 200 fields (application/json): - `oneTimeTokenProperties` (object) Properties of the one time token. - `oneTimeTokenProperties.oneTimeToken` (string) Unique identifier of a one time token. - `oneTimeTokenProperties.challenges` (array) Array of challenge objects. - `oneTimeTokenProperties.challenges.primaryChallenge` (object) Type of challenge user can do. - `oneTimeTokenProperties.challenges.primaryChallenge.type` (string) [Type of the challenge](/api-reference/one-time-token#challenge-type). - `oneTimeTokenProperties.challenges.primaryChallenge.viewData` (object) An object that provides data required to present a challenge window. It can be messages, IDs, or other attributes. - `oneTimeTokenProperties.challenges.alternatives` (array) Alternative challenges that user can do instead. - `oneTimeTokenProperties.challenges.required` (boolean) Required (or not) to pass the OTT. - `oneTimeTokenProperties.challenges.passed` (boolean) Status of this challenge. - `oneTimeTokenProperties.validity` (integer) Seconds until the one time token becomes expired. - `oneTimeTokenProperties.actionType` (string) The action bound to the one time token. For example, BALANCE__GET_STATEMENT when we want to [retrieve a balance account statement](/api-reference/balance-statement/balancestatementget). - `oneTimeTokenProperties.userId` (integer) Creator of this one time token.